UCCEAN128Barcode (Barbecue 1.0.6d API)
Keywords: net.sourceforge.barbecue.linear.code128.UCCEAN128Barcode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.barbecue.linear.code128
Class UCCEAN128Barcode

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  net.sourceforge.barbecue.Barcode
                      net.sourceforge.barbecue.linear.code128.Code128Barcode
                          net.sourceforge.barbecue.linear.code128.UCCEAN128Barcode

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class UCCEAN128Barcode
extends Code128Barcode

An implementation of the UCC 128 and EAN 128 code formats. These are almost identical to the vanilla Code 128 format, but they are encoded in character set C and include the FNC1 character at the start. In addition, an Application Identifier must be provided that identifies the application domain of the barcode. Please see the convenienve methods on BarcodeFactory that provide application domain specific instances of this barcode type.

Author:
  Ian Bourke
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `EAN128_AI` EAN 128 application identifier for all EAN 128 formats.
`static java.lang.String` | `GTIN_AI` Global Trade Item Number application identifier.
`static java.lang.String` | `SCC_14_AI` SCC-14 shipping code application identifier.
`static java.lang.String` | `SHIPMENT_ID_AI` Shipment Identification Number application identifier.
`static java.lang.String` | `SSCC_18_AI` SSCC-18 application identifier.
`static java.lang.String` | `USPS_AI` US Postal service application identifier for all USPS formats.

Fields inherited from class net.sourceforge.barbecue.linear.code128.Code128Barcode
`A, B, BUF_SIZES, C, CHANGE_TO_A, CHANGE_TO_B, CHANGE_TO_C, FNC_1, mode, O, QUIET_SECTION, SHIFT, START_A, START_B, START_C, START_INDICES, startIndex, STOP`

Fields inherited from class net.sourceforge.barbecue.Barcode
`barHeight, barWidth, data, drawingText`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`UCCEAN128Barcode(java.lang.String applicationIdentifier, java.lang.String data)` Creates a new UCC/EAN 128 barcode with the given application identifier and data to encode.
`UCCEAN128Barcode(java.lang.String applicationIdentifier, java.lang.String data, boolean includeCheckDigit)` Creates a new UCC/EAN 128 barcode with the given application identifier and data to encode.

Method Summary
`protected java.lang.String` | `getLabel()` Returns the text to be displayed underneath the barcode.
`protected Module` | `getPreAmble()` Returns the pre-amble for this barcode type.

Methods inherited from class net.sourceforge.barbecue.linear.code128.Code128Barcode
`calculateChecksum, calculateMinimumBarHeight, encodeData, getBarcodeWidth, getCharacterSet, getPostAmble, getQuietZoneWidth, getSymbolWidth`

Methods inherited from class net.sourceforge.barbecue.Barcode
`beautify, draw, drawModule, getBounds, getBounds, getData, getHeight, getMaximumSize, getMinimumSize, getPreferredSize, getResolution, getSize, getSVG, getWidth, getX, getY, isDrawingText, outputSVG, paintComponent, setBarHeight, setBarWidth, setDrawingText, setFont, setResolution, setSVGScalar`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getNextFocusableComponent, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SSCC_18_AI

    public static final java.lang.String SSCC_18_AI

  SSCC-18 application identifier.

  See Also:
    Constant Field Values

### SCC_14_AI

    public static final java.lang.String SCC_14_AI

  SCC-14 shipping code application identifier.

  See Also:
    Constant Field Values

### GTIN_AI

    public static final java.lang.String GTIN_AI

  Global Trade Item Number application identifier.

  See Also:
    Constant Field Values

### EAN128_AI

    public static final java.lang.String EAN128_AI

  EAN 128 application identifier for all EAN 128 formats.

  See Also:
    Constant Field Values

### SHIPMENT_ID_AI

    public static final java.lang.String SHIPMENT_ID_AI

  Shipment Identification Number application identifier.

  See Also:
    Constant Field Values

### USPS_AI

    public static final java.lang.String USPS_AI

  US Postal service application identifier for all USPS formats.

  See Also:
    Constant Field Values

Constructor Detail

### UCCEAN128Barcode

    public UCCEAN128Barcode(java.lang.String applicationIdentifier,
                            java.lang.String data)
                     throws BarcodeException

  Creates a new UCC/EAN 128 barcode with the given application identifier and data to encode. The AI will be prepended to the data (which also has a mod 10 check digit appended) before encoding, and will appear in parentheses in the printed label underneath the barcode. A mod 10 check digit will be generated.

Parameters:
  `applicationIdentifier` - The application identifier for this barcode
  `data` - The data to encode
Throws:
  `BarcodeException` - If the data to be encoded is invalid

### UCCEAN128Barcode

    public UCCEAN128Barcode(java.lang.String applicationIdentifier,
                            java.lang.String data,
                            boolean includeCheckDigit)
                     throws BarcodeException

  Creates a new UCC/EAN 128 barcode with the given application identifier and data to encode. The AI will be prepended to the data (which also has a mod 10 check digit appended) before encoding, and will appear in parentheses in the printed label underneath the barcode.

Parameters:
  `applicationIdentifier` - The application identifier for this barcode
  `data` - The data to encode
  `includeCheckDigit` - specifies whether a mod 10 check digit should be generated or not
Throws:
  `BarcodeException` - If the data to be encoded is invalid

Method Detail

### getPreAmble

    protected Module getPreAmble()

  Returns the pre-amble for this barcode type. This is basically a specific instance of the Code 128 barcode that always uses a C start char and FNC1 char in succession.

  Overrides:
    `getPreAmble` in class `Code128Barcode`
  Returns:
    The pre-amble module

### getLabel

    protected java.lang.String getLabel()

  Returns the text to be displayed underneath the barcode.

  Overrides:
    `getLabel` in class `Code128Barcode`
  Returns:
    The text that the barcode represents

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD